
function scroll_to(clicked_link, nav_height) {
	var element_class = clicked_link.attr('href').replace('#', '.');
	var scroll_to = 0;
	if(element_class != '.top-content') {
		element_class += '-container';
		scroll_to = $(element_class).offset().top - nav_height;
	}
	if($(window).scrollTop() != scroll_to) {
		$('html, body').stop().animate({scrollTop: scroll_to}, 1000);
	}
}


jQuery(document).ready(function() {
	
	/*
	    Navigation
	*/
	$('a.scroll-link').on('click', function(e) {
		e.preventDefault();
		scroll_to($(this), $('nav').outerHeight());
	});
	// toggle "navbar-no-bg" class
	$('.top-content .carousel-caption').waypoint(function() {
		$('nav').toggleClass('navbar-no-bg');
	});
	
    /*
        Background slideshow
    */
    $('.section-4-container').backstretch("assets/img/backgrounds/2.jpg");
    
    /*
	    Wow
	*/
	new WOW().init();
	
	/*
	    Stop / Start carousel autoplay
	*/
	$('.btn-customized').on('click', function(){
		
		if( ! $(this).hasClass('disabled') ) {
			
			if( $(this).hasClass('btn-pause') ) {
				$('.carousel').carousel('pause');
			}
			else {
				$('.carousel').carousel('cycle');
			} 
			
			$('.btn-pause, .btn-cycle').toggleClass('disabled');
			$(this).blur();
			
		}
		
	});
	
});
